# Outlier detection using ensembles on healthcare data

## Master thesis at Norwegian University of Life Sciences (NMBU)

This master thesis focuses on discovering the effects of using outlier detection ensembles on prediction performance for healthcare datasets.

### Abstract

An outlier is defined as an observation that significantly deviates from other observations in the same set of data. Outlier detection is the process of identifying potential outliers in datasets. In real-world contexts, information about which observations are actually outliers is rarely available, making the evaluation of the performance of outlier detection algorithms challenging.

Literature has shown that identifying and treating outliers positively impacts the performance of classification algorithms within machine learning. Positive effects on the performance of classification algorithms are of great importance in the healthcare sector. The healthcare sector incurs significant costs related to the mistreatment and misdiagnosis of patients. The use of machine learning and classification algorithms could potentially help the healthcare sector save costs related to these aforementioned issues. A critical difference between the healthcare sector and other sectors is that human patients are central. Therefore, it is vital to develop classification models that are highly reliable and accurate, which more precise identification of outliers will contribute to.

Based on this, this project has undertaken a deeper analysis of outlier detection in datasets within the healthcare sector. This was done by analyzing the use outlier detection ensembles. Applying recently proposed techniques from the literature, the project constructs new heterogeneous outlier detection ensembles consisting of different types of outlier detection algorithms.

The performance of these constructed outlier detection ensembles is mapped and analyzed using datasets from the literature. These datasets are all within the healthcare sector and contain markings on which observations are actual outliers. Since datasets seldom contain information about outliers, it is difficult to evaluate performance, but the aforementioned datasets compensate for this.

To analyze the effect of the proposed outlier detection ensembles on the performance of classification algorithms, two healthcare datasets from Oslo University Hospital are used. The first dataset consists of patients diagnosed with head and neck cancer, and the second dataset consists of patients diagnosed with colorectal cancer. Previous studies have developed procedures that clean the datasets to prepare them for further analysis. Classification algorithms are trained on these cleaned datasets, and the performance of the classification algorithms is measured. Then, the proposed outlier detection ensembles are applied to remove potential outliers from the datasets, and the classification algorithms are retrained and their performance is remeasured. The difference in performance before and after the removal of outliers is analyzed for each of the proposed outlier detection ensembles. This, combined with the performance of the outlier detection ensembles in identifying outliers on datasets with markings, is used to evaluate and propose an outlier detection ensemble. This process also takes into account the performance of an existing recognized outlier detection ensemble called IForest. This is to evaluate the performance of the proposed ensembles from the project relative to existing ensembles.

The results showed that one of the new outlier detection ensembles showed promising results. Further, the results indicated that removing outliers made the average performance of the classification algorithms lower for the colorectal cancer dataset but higher for the head and neck cancer dataset.
